Package com.emc.d2fs.models.lifecycle

# Class LifeCycleResult

java.lang.Object
com.emc.d2fs.models.lifecycle.LifeCycleResult

All Implemented Interfaces:
  `Serializable`

public class LifeCycleResult extends Object implements Serializable

Java class for lifeCycleResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="lifeCycleResult">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="transitionNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id"/>
           <attribute name="referenceId" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="success" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="hasNewLocation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="collapseIds" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LifeCycleResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollapseIds()`
  Gets the value of the collapseIds property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getReferenceId()`
  Gets the value of the referenceId property.
  `List<String>`
  `getTransitionNames()`
  Gets the value of the transitionNames property.
  `Boolean`
  `isHasNewLocation()`
  Gets the value of the hasNewLocation property.
  `Boolean`
  `isSuccess()`
  Gets the value of the success property.
  `void`
  `setCollapseIds(String value)`
  Sets the value of the collapseIds property.
  `void`
  `setHasNewLocation(Boolean value)`
  Sets the value of the hasNewLocation property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setReferenceId(String value)`
  Sets the value of the referenceId property.
  `void`
  `setSuccess(Boolean value)`
  Sets the value of the success property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LifeCycleResult

    public LifeCycleResult()

- ## Method Details

  - ### getTransitionNames

    public List<String> getTransitionNames()
    Gets the value of the transitionNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transitionNames property.

    For example, to add a new item, do as follows:

            getTransitionNames().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReferenceId

    public String getReferenceId()
    Gets the value of the referenceId property.
    Returns:
      possible object is `String`

  - ### setReferenceId

    public void setReferenceId(String value)
    Sets the value of the referenceId property.
    Parameters:
      `value` - allowed object is `String`

  - ### isSuccess

    public Boolean isSuccess()
    Gets the value of the success property.
    Returns:
      possible object is `Boolean`

  - ### setSuccess

    public void setSuccess(Boolean value)
    Sets the value of the success property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isHasNewLocation

    public Boolean isHasNewLocation()
    Gets the value of the hasNewLocation property.
    Returns:
      possible object is `Boolean`

  - ### setHasNewLocation

    public void setHasNewLocation(Boolean value)
    Sets the value of the hasNewLocation property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getCollapseIds

    public String getCollapseIds()
    Gets the value of the collapseIds property.
    Returns:
      possible object is `String`

  - ### setCollapseIds

    public void setCollapseIds(String value)
    Sets the value of the collapseIds property.
    Parameters:
      `value` - allowed object is `String`